import styled from 'styled-components';

import defaultTheme from '../../theme';
import { textAlign, paddable } from '../../utils';
import { Button } from '../../inputs';

export interface SegmentProps {
  textAlign?: 'left' | 'right' | 'center' | 'justify';
  padded?: boolean;
  $placeholder?: boolean;
}

export const Segment = styled.div<SegmentProps>(
  { position: 'relative', margin: '1rem 0', padding: '1em 1em' },
  ({ theme }) => ({
    borderRadius: theme.sizes.borderRadius,
  }),
  ({ $placeholder }) =>
    $placeholder
      ? {
          display: 'flex',
          flexDirection: 'column',
          justifyContent: 'center',
          alignItems: 'stretch',
          textAlign: 'center',
          maxWidth: 'initial',
          animation: 'none',
          overflow: 'visible',
          minHeight: '18rem',

          [Button]: {
            maxWidth: '15rem',
            marginLeft: 'auto',
            marginRight: 'auto',
          },
        }
      : null,
  textAlign,
  paddable,
);

Segment.defaultProps = {
  theme: defaultTheme,
};
