import styled from 'styled-components';

import { HiroColors } from '../../types';
import defaultTheme from '../../theme';
import { Text } from './Text';

export interface HeaderProps {
  color?: HiroColors;
  as?: 'h1' | 'h2' | 'h3';
  icon?: boolean;
}

export const Header = styled(Text)<HeaderProps>(
  {
    paddingBottom: '1rem',
    margin: 0,

    '& > svg': {
      width: '1em',
      height: 'auto',
      marginRight: '0.75rem',
    },
  },
  ({ icon }) =>
    icon
      ? {
          '& > svg': {
            display: 'block',
            margin: '0 auto 0.5rem',
            width: '3em',
          },
        }
      : null,
);

Header.defaultProps = {
  as: 'h1',
  theme: defaultTheme,
};
