import styled from 'styled-components';

import { HiroColors } from '../../types';
import { clickable, primary, secondary } from '../../utils';
import defaultTheme from '../../theme';

interface StyledButtonProps {
  color?: HiroColors;
  secondary?: boolean;
  disabled?: boolean;
  fluid?: boolean;
  floated?: 'left' | 'right';
}

export type ButtonProps = StyledButtonProps;

export const Button = styled.button<StyledButtonProps>(
  {
    minWidth: '100px',
    height: '35px',
    borderRadius: '3em',
    opacity: 1,
    outline: 'none',
    padding: '.75em 3em',
  },
  (props) => (props.secondary ? secondary : primary),
  ({ fluid }) => (fluid ? { width: '100%' } : null),
  ({ floated }) =>
    floated
      ? {
          float: floated,
          marginRight: floated === 'left' ? '0.25em' : 0,
          marginLeft: floated === 'left' ? 0 : '0.25em',
        }
      : null,
  clickable,
);

Button.defaultProps = {
  theme: defaultTheme,
};
