import { CSSObject, DefaultTheme } from 'styled-components';

export const paddable = <T extends { padded?: boolean; theme: DefaultTheme }>({
  padded,
  theme,
}: T): CSSObject | null =>
  padded
    ? {
        padding: theme.sizes.padding,
      }
    : null;

export const textAlign = <
  T extends {
    textAlign?: 'left' | 'right' | 'center' | 'justify';
    theme: DefaultTheme;
  }
>({
  textAlign,
}: T) => (textAlign ? { textAlign } : null);
